package com.gzlh.event;

import cn.hutool.core.thread.ThreadUtil;
import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.core.util.StrUtil;
import com.gzlh.config.ModuleEnum;
import com.gzlh.dto.EventDTO;
import com.gzlh.led.factory.LedFactory;
import com.gzlh.led.properties.LedPropertiesConfig;
import com.gzlh.infrared.config.RedPropertiesConfig;
import com.gzlh.infrared.factory.RedFactory;
import com.gzlh.weighbridge.config.WeighbridgePropertiesConfig;
import com.gzlh.weighbridge.factory.WeighbridgeFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Component
@Slf4j
public class EventBus {
    private List<EventDTO> eventDTOList;

    public void setEventDTOList(List<EventDTO> eventDTOList) {
        this.eventDTOList = eventDTOList;
    }

    public void start(String name,String eventName){
        EventThread thread = new EventThread(name,eventName);
        thread.setEventDTOList(eventDTOList);
        thread.start();
    }
}
