package com.gzlh.gate.controller;

import cn.hutool.json.JSONUtil;
import com.gzlh.gate.bo.ReqBO;
import com.gzlh.gate.brand.GateBrandType;
import com.gzlh.gate.factory.GateFactory;
import com.gzlh.utils.ResultJson;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.BufferedReader;

@RestController
@RequestMapping("gate")
@Slf4j
public class GateController {
    @Resource
    private GateFactory gateFactory;


    @RequestMapping("req")
    public ResultJson req(HttpServletRequest request, HttpServletResponse response) {
        log.info("收到道闸请求---------------------------------------------");
       return gateFactory.handler(GateBrandType.SHANGJI_BRAND.getCode()).handlerReq(request,response);

    }
}
