package com.gzlh.gate.utils;

import cn.hutool.core.codec.Base64;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

import java.nio.charset.Charset;


public class ZKTecoCommandUtils {
    /**
     * sn命令
     * @return
     */
    public static String getSn(){
        return "{\"cmd\" :\"getsn\"}";
    }

    /**
     * 开闸命令
     * @return
     */
    public static String openCommand(){
        return "{\"cmd\":\"ioctl_resp\",\"io\" :0,\"value\":2,\"delay\":500}";
    }

    /**
     * 语音播放
     * @param msg
     * @return
     */
    public static String playVoice(String msg){
        JSONObject body=new JSONObject();
        body.set("type","ps_voice_play")
                .set("voice", Base64.encode(msg, Charset.forName("UTF-8")))
                .set("voice_interval",1)
                .set("voice_volume",1)
                .set("voice_male",1);
        JSONObject result=new JSONObject();
        result.set("cmd","playserver_json_request")
                .set("body", JSONUtil.toJsonStr(body))
                .set("id", RandomUtil.randomNumbers(5));
        return JSONUtil.toJsonStr(result);
    }

}
